Post by Xstream » Wed May 17, 2017 3:30 am

Hi All,

I have an issue updating 1.5 > 2.3.
The issue is that i have to update the rights, but i don't have the rights apparently to do so. How do i fix this?

This is what i have done:

I copied files from live server (PHP 5.2) to test server (PHP 5.6).
Exported/Imported mysql database without any special commands (default settings).
Changed config (root/admin) files to point to the right location.
All seems ok, aside from en load of deprecated alerts, which is to be expected, because of the new PHP version on the server which OC 1.5 doesn't support.

I then overwrite the files of the new OC 2.3, run install and run the upgrade process.
When done i go to admin. I follow the steps given on the install page. So far so good. Admin area looks fine.

At Step 3: Goto Admin -> Users -> User Groups and Edit the Top Adminstrator group. Check All boxes.
When i select all and save it says it's saved fine, but it only saved the Access Permission settings, the Modify Permission haven't updated.

Going to Step 4: Goto Admin and Edit the main System Settings. Update all fields and click save, even if nothing changed. confirms it. I get this error: Warning: You do not have permission to modify settings!

I've retried this whole process 2 times now, but same things keeps happening.
I've looked in the database to see if i can fix it there, but i have no idea how to do that.

Hope somebody can help me out. Doing searches didn't bring me closer to a solution.

Thanks in advance.

Xs.

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm

Post by IP_CAM » Wed May 17, 2017 9:19 am

because of the new PHP version on the server which OC 1.5 doesn't support...

partly updated 9.12.2017!
Well, just to mention this, not all of them, at least OC v.1.5.6.4 and above works well with PHP-7.0.25,
exept for the default OC Install-Routine itself, not 'finding' any selected DB-Driver anymore. So, a newly
set up v.1.5.6.4(+) based Shop still needs to be installed under PHP 5, or then, contact me, to get
a working PHP 7.0.x Installation Routine.

Also formerly OpenShop based older Versions of the MySql-Buddy, the eXtplorer-File Editor
and the only so far 'found' free OC FileEditor Extension, not only 'handling' images, but files as
well, also refuse to function in PHP-7!

But I wonder anyway, how easy it went for you, so far. Especially, since you mentioned, to have
just overwritten existing older OC Source. So, I expect, that multiple surprises are still waiting for
you, to be found later on...
But it's all written about already, somewhere, and I never tried, so I at least pushed the Post
into the active section, but that's all, I know and so can do.
Good Luck ;)
Ernie
---
Updated image:
Image

Attachments

php_version_info_1565.jpg

php_version_info_1565.jpg (67.34 KiB) Viewed 114 times

Last edited by IP_CAM on Sat Dec 09, 2017 3:26 pm, edited 2 times in total.

Ernie's OpenCart v.1.5.6.5 LIGHT + OpenShop Admin v.1.75 Test Sites
http://www.ebikes.li - http://www.evelo.li - http://www.openshop.li
Image


User avatar
Guru Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by Xstream » Wed May 17, 2017 4:03 pm

Thanks for your reply and help.

I don't understand everything you say, but do you mean I should try to update on a server with php installed?
I'll try it. Thanks.

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm

Post by Xstream » Wed May 17, 2017 5:26 pm

Tried it again, twice.
Once with PHP7.1. And once with 5.2, disabled all plugins + vqmod, set PHP5.6, uploaded OC2.3 files, run upgrade process, but then again get the same issues.

Me, as Top administrator, just can't update these permissions:
  • user/user
  • user/user_permission
So it's an infinite loop. I need the rights to fix the upgrade, but i don't have the rights to set those rights. :(

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm

Post by Xstream » Wed May 17, 2017 5:55 pm

Ok, installed a clean OC2.0 and checked the user group permissions and copied their settings.
Now i can save settings. But as soon i want extra rights for some different categories, it resets the user(group) rights again :(

Also, my shop doesn't show anything. Just a blank page. Sigh ...

Newbie

Posts

Joined
Tue Apr 27, 2010 4:14 pm

Post by Rainforest » Sat Dec 09, 2017 10:21 am

Did you ever figure this out?
I am also having this problem.
I upgraded a store on a test server from 2.1.0.2 to 2.3.0.2
Everything seems find but when I go to User Groups and try to save the top administrator I get an error that I cannot modify.

I had this issue a year ago with another upgrade and I remember it was due to old module files. However, I can't figure this out now and I've removed old files. :/

Active Member
Online

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by straightlight » Sat Dec 09, 2017 12:18 pm

Rainforest wrote:
Sat Dec 09, 2017 10:21 am
Did you ever figure this out?
I am also having this problem.
I upgraded a store on a test server from 2.1.0.2 to 2.3.0.2
Everything seems find but when I go to User Groups and try to save the top administrator I get an error that I cannot modify.

I had this issue a year ago with another upgrade and I remember it was due to old module files. However, I can't figure this out now and I've removed old files. :/
Follow these instructions to regain access: viewtopic.php?f=190&t=169431&p=699275&h ... on#p699275

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Rainforest » Sat Dec 09, 2017 9:45 pm

Thanks for that.
It worked but I do have a question: The solution says to make the change in either

but as soon as I remove that code.
I still have the same permission issue.

Image

Active Member
Online

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by straightlight » Sat Dec 09, 2017 10:46 pm

On your PHPMyAdmin's Opencart database, go to your user_group table and make a backup of that table. Then, truncate the table. Then, from your install/opencart.sql file, copy the insert into paragraph of the user_group query. Paste it in your SQL tab in your user_group table in your PHPMyAdmin, execute the query. Go back to your admin - > systems - > users - > user groups - > edit - > uncheck all - > check all - > Save.

See if that resolves the issue.

Note: You may need to reassociate your user groups from the admin if the user group IDs do not match your new created user groups for your users.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Rainforest » Sat Dec 09, 2017 11:57 pm

straightlight wrote:
Sat Dec 09, 2017 10:46 pm
On your PHPMyAdmin's Opencart database, go to your user_group table and make a backup of that table. Then, truncate the table. Then, from your install/opencart.sql file, copy the insert into paragraph of the user_group query. Paste it in your SQL tab in your user_group table in your PHPMyAdmin, execute the query. Go back to your admin - > systems - > users - > user groups - > edit - > uncheck all - > check all - > Save.

See if that resolves the issue.

Note: You may need to reassociate your user groups from the admin if the user group IDs do not match your new created user groups for your users.
So, it kind of worked. I was able to save store settings etc.

However, when I went back into user group settings in the admin panel. I see all the pre-upgrade extensions permissions unchecked. I left them unchecked.

I check them all and save.
I go back to store settings and I am unable to save now.
Image

So, it looks like when I check off a permission for a certain old module. It causes an admin conflict? Does that make sense?
Any idea how I would go about fixing that (I am assuming deleting all modules manually?

Active Member
Online

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by straightlight » Sun Dec 10, 2017 12:00 am

After truncating the user group table in PHPMyAdmin and re-inserting the values, you must clear all caches and log out from the Opencart admin so not to affect your navigation transactions.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Rainforest » Sun Dec 10, 2017 12:31 am

No, that didn't do anything.
I really believe it's got to be some old extension or something that when I set the permission to, it causes things to lock me out.
Maybe there are really old extensions or something. (This store has been running since 1.5x days)



I think my next step would be to manually ftp delete these old extensions one by one :-[
Last edited by Rainforest on Sun Dec 10, 2017 2:03 am, edited 1 time in total.

Active Member
Online

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by straightlight » Sun Dec 10, 2017 1:03 am

You seem to be using a lot of extensions. However, if you decide to manually delete those extensions, ensure to put your site under maintenance and to delete those extensions from PHPMyAdmin - > Opencart database - > Search tab - > enter your query and select all tables below. On the search page results, click on the browse link to ensure this is the right extension name and relation you are about to remove after creating a full backup of your store and database.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Rainforest » Sun Dec 10, 2017 1:07 am

Thanks. I'm working on a test server.
I learned yearrrssss ago never, ever to do an upgrade on a live site, :laugh: I started it with a developer and things went crazy 5mins before I was to board an 8 hour flight. Worst flight ever as my store was down. Landed jet lagged trying to fix my site.
I appreciate your help. If you feel so inclined, PM your email that accepts paypal. I'd like to send a round of drink your way!

Active Member
Online

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by Rainforest » Sun Dec 10, 2017 2:02 am

SOLVED!!
So, I went through and delete old folders using a combination of sources:

This post
https://www.opencart.com/forum/viewtopi ... 03&p=677337

I also went through and looked at the dates of certain folders. If they were from 2013, 2014 even 2015 they might be old extension folders. Deleted them.

I also wen through the permissions list and looked duplicates (I had two /common/filemanager) permissions and deleted their associated files.

Seems with some old modules there were conflicts in permissions.

Lastly, I cleared my cache and log for good measure and it all got fixed.

Phew! Now time to replicate the fix. :laugh: :laugh:

Active Member
Online

Posts

Joined
Fri Jan 28, 2011 3:50 am
Who is online

Users browsing this forum: No registered users and 24 guests